Bug 836985 - Error writing bootloader when installing to an image file
Error writing bootloader when installing to an image file
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 08:31 EDT by Jan Stodola
Modified: 2013-07-31 19:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:55:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Stodola 2012-07-02 08:31:16 EDT
Description of problem:
Installation to an image file fails in the end of the installation with warning message:

There was an error installing the bootloader.
The system may not be bootable.

/tmp/program.log ends with:
...
03:48:14,386 INFO program: Running... grub2-install --no-floppy /dev/mapper/disk
03:48:15,566 ERR program: /usr/sbin/grub2-bios-setup: error: unable to identify a filesystem in hostdisk//dev/loop0; safety check can't be performed.

Version-Release number of selected component (if applicable):
F17 GA
grub2-2.0-0.25.beta4.fc17
anaconda-17.29-1.fc17

How reproducible:
always

Steps to Reproduce:
1. Install F17
2. in the installed system, create an image file:
dd if=/dev/zero of=/root/disk.img bs=1M count=1 seek=8096
3. use anaconda to install to the image file:
anaconda -G --image=/root/disk.img --repo=http://...
4. create /boot, rootfs and swap as raw partitions (no LVM/RAID)
5. finish the installation

Actual results:
Error installing bootloader.
Qemu hangs while "Booting from Hard Disk..." (command: qemu-kvm -hda /root/disk.img -m 1G), 

Expected results:
Bootloader is successfully written
Comment 1 Fedora End Of Life 2013-07-03 18:12:43 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 19:55:13 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.